.doggies__header {
  font-family: "Comic Neue";
  font-size: 7rem;
  text-shadow: 0 0 0.125em hsl(0 0% 100% / 0.3), 0 0 0.45em currentColor;
}

@media (max-width: 1200px) {
  .doggies__header {
    font-size: 5em;
  }
}

@media (max-width: 550px) {
  .doggies__header {
    font-size: 3em;
  }
}

@media (max-width: 300px) {
  .doggies__header {
    font-size: 2.4em;
  }
}

.doggies__column {
  margin-top: 6rem;
  width: 50vw;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

@media (max-width: 550px) {
  .doggies__column {
    margin-top: 3rem;
  }
}

.doggies_imageContainer {
  position: relative;
  width: max-content;
  transition: all 0.5s ease;

  height: 35vh;
}

.doggies__foregroundImage {
  position: relative;
  max-height: 30vh;
  max-width: 70vw;
  z-index: 2;
  border-radius: 10px;
  pointer-events: none;
  transition: all 0.5s ease;
}

.doggies__foregroundImage-mask {
  opacity: 0.01;
}

.doggies__ambientImage {
  position: absolute;
  max-height: 30vh;
  max-width: 70vw;
  top: 2px;
  left: 0;
  transform: scale(1.15);
  transition: all 0.5s ease;
  animation: doggies__image-glow 1.5s infinite linear;
  z-index: 0;
  filter: blur(24px);
}

@keyframes doggies__image-glow {
  20% {
    transform: scale(1.12);
  }

  80% {
    transform: scale(1.16);
  }

  100% {
    transform: scale(1.15);
  }
}

.doggies__loading-spinner--show {
  visibility: auto;
}

.doggies__loading-spinner--hide {
  visibility: hidden;
}

.doggies__controls {
  position: relative;
  margin-top: 1rem;
  display: flex;
  flex-direction: row;
  gap: 2rem;

  justify-content: center;
  align-items: center;
}

@media (max-width: 550px) {
  .doggies__controls {
    flex-direction: column;
  }
}

.doggies__boneSpinner {
  position: absolute;
  right: -90px;
  height: 2rem;
  animation: rotation 0.8s infinite linear;
}

@media (max-width: 550px) {
  .doggies__boneSpinner {
    position: static;
  }
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}